Bug 176091 - databases/virtuoso: OptionNG'ify, make libiodbc dependency optional...
databases/virtuoso: OptionNG'ify, make libiodbc dependency optional...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Max Khon
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-13 03:20 UTC by fluffy
Modified: 2013-06-09 13:10 UTC (History)
0 users

See Also:


Attachments
file.diff (4.02 KB, patch)
2013-02-13 03:20 UTC, fluffy
no flags Details | Diff
virtuoso2.diff (3.19 KB, patch)
2013-03-26 01:08 UTC, fluffy
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description fluffy 2013-02-13 03:20:00 UTC
	databases/virtuoso: 
	* OptionNG'ify
	* make libiodbc dependency optional
	* disable hidden dependencies on hslookup and wbxml2
Comment 1 Edwin Groothuis freebsd_committer 2013-02-13 03:20:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->fjoe

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 fluffy 2013-03-26 01:08:50 UTC
13.02.2013 14:15, Dima Panov пиÑеÑ:
>> Number:         176091
>> Category:       ports
>> Synopsis:       databases/virtuoso: OptionNG'ify, make libiodbc dependency optional...
>> 	
>> Description:
> 	databases/virtuoso:
> 	* OptionNG'ify
> 	* make libiodbc dependency optional
> 	* disable hidden dependencies on hslookup and wbxml2
> 	
>> How-To-Repeat:
> 	
>> Fix:

After Bapt's OptionNG'ify, here is updated patch:

Index: databases/virtuoso/Makefile
===================================================================
--- databases/virtuoso/Makefile (revision 315189)
+++ databases/virtuoso/Makefile (working copy)
@@ -19,20 +19,21 @@
flex>2.5.4:${PORTSDIR}/textproc/flex\
gperf>=3.0.3:${PORTSDIR}/devel/gperf\
unzip:${PORTSDIR}/archivers/unzip
-LIB_DEPENDS= iodbc.3:${PORTSDIR}/databases/libiodbc\
- xml2.5:${PORTSDIR}/textproc/libxml2
+LIB_DEPENDS= xml2.5:${PORTSDIR}/textproc/libxml2

USE_AUTOTOOLS= libtool
CONFIGURE_ARGS= --with-readline\
--without-jdk2\
--without-jdk3\
--without-jdk4\
- --with-iodbc=${LOCALBASE}\
+ --disable-hslookup\
+ --disable-wbxml2\
--enable-bpel-vad\
+ --with-xml-prefix=${LOCALBASE}\
--with-layout=freebsd\
--datadir="${PREFIX}"\
--localstatedir="${PREFIX}"
-CPPFLAGS+= -std=gnu89 -I${LOCALBASE}/include ${PTHREAD_CFLAGS}
+CPPFLAGS+= -std=gnu89 ${IODBC_FLAGS} -I${LOCALBASE}/include 
${PTHREAD_CFLAGS}
LDFLAGS+= -L${LOCALBASE}/lib
MAKE_ENV= PATH=${LOCALBASE}/bin:${PATH}\
ISQL=isql-vt
@@ -43,13 +44,8 @@

CHECK_PORT= /usr/bin/nc -z localhost $$\1 2>\&1

-OPTIONS_DEFINE= IMAGEMAGICK KERBEROS LDAP
-# PERL "Perl hosting" off
-# PYTHON "Python hosting" off
-# MONO "Mono extension" off\
-# PHP4 "PHP4 extension" off\
-# PHP5 "PHP5 extension" off\
-# RUBY "Ruby hosting" off\
+OPTIONS_DEFINE= IMAGEMAGICK KERBEROS LDAP IODBC
+#OPTIONS_DEFINE+= MONO PERL PHP4 PHP5 PYTHON RUBY

post-patch:
${REINPLACE_CMD}\
@@ -78,21 +74,31 @@
PLIST_SUB+= WITH_IMAGEMAGICK="@comment "
.endif

+.if ${PORT_OPTIONS:MIODBC}
+CONFIGURE_ARGS+=--with-iodbc=${LOCALBASE}
+LIB_DEPENDS+= iodbc:${PORTSDIR}/databases/libiodbc
+IODBC_FLAGS= ""
+PLIST_SUB+= WITH_IODBC=""
+.else
+IODBC_FLAGS= "-I../../libsrc/odbcsdk/include"
+PLIST_SUB+= WITH_IODBC="@comment "
+.endif
+
.if ${PORT_OPTIONS:MKERBEROS}
CONFIGURE_ARGS+=--enable-krb=${LOCALBASE}
LIB_DEPENDS+= krb5.3:${PORTSDIR}/security/krb5
.endif

+.if ${PORT_OPTIONS:MLDAP}
+CONFIGURE_ARGS+=--enable-openldap=${LOCALBASE}
+USE_OPENLDAP= yes
+.endif
+
# XXX broken (does not build, requires gc.h)
#.if ${PORT_OPTIONS:MMONO}
#CONFIGURE_ARGS+=--enable-mono
#.endif

-.if ${PORT_OPTIONS:MOPENLDAP}
-CONFIGURE_ARGS+=--enable-openldap=${LOCALBASE}
-USE_OPENLDAP= yes
-.endif
-
# XXX broken (requires perl to be built with -Dusemultiplicity)
#.if ${PORT_OPTIONS:MPERL}
#CONFIGURE_ARGS+=--enable-perl
Index: databases/virtuoso/pkg-plist
===================================================================
--- databases/virtuoso/pkg-plist (revision 315189)
+++ databases/virtuoso/pkg-plist (working copy)
@@ -1,11 +1,11 @@
bin/inifile
-bin/isql-iodbc
+%%WITH_IODBC%%bin/isql-iodbc
bin/isql-vt
-bin/isqlw-iodbc
+%%WITH_IODBC%%bin/isqlw-iodbc
bin/isqlw-vt
-bin/odbc_mail
+%%WITH_IODBC%%bin/odbc_mail
bin/virt_mail
-bin/virtuoso-iodbc-t
+%%WITH_IODBC%%bin/virtuoso-iodbc-t
bin/virtuoso-t
lib/hibernate/virt_dialect.jar
lib/jdbc-2.0/virtjdbc2.jar
@@ -14,8 +14,8 @@
lib/jdbc-4.0/virtjdbc4.jar
lib/jdbc-4.0/virtjdbc4ssl.jar
lib/jena/virt_jena.jar
-lib/libvirtuoso-iodbc-t.a
-lib/libvirtuoso-iodbc-t.la
+%%WITH_IODBC%%lib/libvirtuoso-iodbc-t.a
+%%WITH_IODBC%%lib/libvirtuoso-iodbc-t.la
lib/libvirtuoso-t.a
lib/libvirtuoso-t.la
lib/sesame/create-virtuoso.xsl



-- 
Dima Panov (fluffy@FreeBSD.org)
(KDE, Office)@FreeBSD team

Facebook: http://www.facebook.com/fluffy.khv
IRC: fluffy@EFNet, fluffykhv@FreeNode
twitter: fluffy_khv | skype: dima.panov
Comment 3 dfilter freebsd_committer 2013-05-09 10:06:37 UTC
Author: fjoe
Date: Thu May  9 09:06:30 2013
New Revision: 317727
URL: http://svnweb.freebsd.org/changeset/ports/317727

Log:
  - optionsNG'ify
  - make libiodbc dependency optional
  - disable hidden dependencies on hslookup, wbxml2 and openldap
  
  PR:		176091
  Submitted by:	Dima Panov

Modified:
  head/databases/virtuoso/Makefile
  head/databases/virtuoso/pkg-plist

Modified: head/databases/virtuoso/Makefile
==============================================================================
--- head/databases/virtuoso/Makefile	Thu May  9 08:58:07 2013	(r317726)
+++ head/databases/virtuoso/Makefile	Thu May  9 09:06:30 2013	(r317727)
@@ -19,8 +19,7 @@ BUILD_DEPENDS=	gawk:${PORTSDIR}/lang/gaw
 		flex>2.5.4:${PORTSDIR}/textproc/flex\
 		gperf>=3.0.3:${PORTSDIR}/devel/gperf\
 		unzip:${PORTSDIR}/archivers/unzip
-LIB_DEPENDS=	iodbc.3:${PORTSDIR}/databases/libiodbc\
-		xml2.5:${PORTSDIR}/textproc/libxml2
+LIB_DEPENDS=	xml2.5:${PORTSDIR}/textproc/libxml2
 
 .if defined(.PARSEDIR)
 USE_GMAKE=	yes
@@ -31,7 +30,8 @@ CONFIGURE_ARGS=	--with-readline\
 		--without-jdk2\
 		--without-jdk3\
 		--without-jdk4\
-		--with-iodbc=${LOCALBASE}\
+		--disable-hslookup\
+		--disable-wbxml2\
 		--enable-bpel-vad\
 		--with-layout=freebsd\
 		--datadir="${PREFIX}"\
@@ -47,13 +47,8 @@ GROUPS=		virtuoso
 
 CHECK_PORT=	/usr/bin/nc -z localhost $$\1 2>\&1
 
-OPTIONS_DEFINE=	IMAGEMAGICK KERBEROS LDAP
-#		PERL "Perl hosting" off
-#		PYTHON "Python hosting" off
-#		MONO "Mono extension" off\
-#		PHP4 "PHP4 extension" off\
-#		PHP5 "PHP5 extension" off\
-#		RUBY "Ruby hosting" off\
+OPTIONS_DEFINE=		IMAGEMAGICK KERBEROS LDAP IODBC
+#OPTIONS_DEFINE+=		MONO PERL PHP4 PHP5 PYTHON RUBY
 
 post-patch:
 	${REINPLACE_CMD}\
@@ -82,9 +77,27 @@ CONFIGURE_ARGS+=--disable-imagemagick
 PLIST_SUB+=	WITH_IMAGEMAGICK="@comment "
 .endif
 
+.if ${PORT_OPTIONS:MIODBC}
+CONFIGURE_ARGS+=--with-iodbc=${LOCALBASE}
+LIB_DEPENDS+=	iodbc:${PORTSDIR}/databases/libiodbc
+PLIST_SUB+=	WITH_IODBC=""
+.else
+#CPPFLAGS+=	-I../../libsrc/odbcsdk/include
+PLIST_SUB+=	WITH_IODBC="@comment "
+.endif
+
 .if ${PORT_OPTIONS:MKERBEROS}
 CONFIGURE_ARGS+=--enable-krb=${LOCALBASE}
 LIB_DEPENDS+=	krb5.3:${PORTSDIR}/security/krb5
+.else
+CONFIGURE_ARGS+=--disable-krb
+.endif
+
+.if ${PORT_OPTIONS:MLDAP}
+CONFIGURE_ARGS+=--enable-openldap=${LOCALBASE}
+USE_OPENLDAP=	yes
+.else
+CONFIGURE_ARGS+=--disable-openldap
 .endif
 
 # XXX broken (does not build, requires gc.h)
@@ -92,11 +105,6 @@ LIB_DEPENDS+=	krb5.3:${PORTSDIR}/securit
 #CONFIGURE_ARGS+=--enable-mono
 #.endif
 
-.if ${PORT_OPTIONS:MOPENLDAP}
-CONFIGURE_ARGS+=--enable-openldap=${LOCALBASE}
-USE_OPENLDAP=	yes
-.endif
-
 # XXX broken (requires perl to be built with -Dusemultiplicity)
 #.if ${PORT_OPTIONS:MPERL}
 #CONFIGURE_ARGS+=--enable-perl

Modified: head/databases/virtuoso/pkg-plist
==============================================================================
--- head/databases/virtuoso/pkg-plist	Thu May  9 08:58:07 2013	(r317726)
+++ head/databases/virtuoso/pkg-plist	Thu May  9 09:06:30 2013	(r317727)
@@ -1,11 +1,11 @@
 bin/inifile
-bin/isql-iodbc
+%%WITH_IODBC%%bin/isql-iodbc
 bin/isql-vt
-bin/isqlw-iodbc
+%%WITH_IODBC%%bin/isqlw-iodbc
 bin/isqlw-vt
-bin/odbc_mail
+%%WITH_IODBC%%bin/odbc_mail
 bin/virt_mail
-bin/virtuoso-iodbc-t
+%%WITH_IODBC%%bin/virtuoso-iodbc-t
 bin/virtuoso-t
 lib/hibernate/virt_dialect.jar
 lib/jdbc-2.0/virtjdbc2.jar
@@ -14,8 +14,8 @@ lib/jdbc-3.0/virtjdbc3ssl.jar
 lib/jdbc-4.0/virtjdbc4.jar
 lib/jdbc-4.0/virtjdbc4ssl.jar
 lib/jena/virt_jena.jar
-lib/libvirtuoso-iodbc-t.a
-lib/libvirtuoso-iodbc-t.la
+%%WITH_IODBC%%lib/libvirtuoso-iodbc-t.a
+%%WITH_IODBC%%lib/libvirtuoso-iodbc-t.la
 lib/libvirtuoso-t.a
 lib/libvirtuoso-t.la
 lib/sesame/create-virtuoso.xsl
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Max Khon freebsd_committer 2013-05-09 10:06:42 UTC
State Changed
From-To: open->closed

Committed (with minor changes). Thanks!
Comment 5 dfilter freebsd_committer 2013-06-09 13:06:33 UTC
Author: fjoe
Date: Sun Jun  9 12:06:20 2013
New Revision: 320327
URL: http://svnweb.freebsd.org/changeset/ports/320327

Log:
  Fix build with unixODBC installed.
  
  PR:		176091
  Submitted by:	Dima Panov

Modified:
  head/databases/virtuoso/Makefile

Modified: head/databases/virtuoso/Makefile
==============================================================================
--- head/databases/virtuoso/Makefile	Sun Jun  9 11:23:11 2013	(r320326)
+++ head/databases/virtuoso/Makefile	Sun Jun  9 12:06:20 2013	(r320327)
@@ -36,7 +36,7 @@ CONFIGURE_ARGS=	--with-readline\
 		--with-layout=freebsd\
 		--datadir="${PREFIX}"\
 		--localstatedir="${PREFIX}"
-CPPFLAGS+=	-std=gnu89 -I${LOCALBASE}/include ${PTHREAD_CFLAGS}
+CPPFLAGS+=	-std=gnu89 ${IODBC_CPPFLAGS} -I${LOCALBASE}/include ${PTHREAD_CFLAGS}
 LDFLAGS+=	-L${LOCALBASE}/lib
 MAKE_ENV=	PATH=${LOCALBASE}/bin:${PATH}\
 		ISQL=isql-vt
@@ -80,9 +80,10 @@ PLIST_SUB+=	WITH_IMAGEMAGICK="@comment "
 .if ${PORT_OPTIONS:MIODBC}
 CONFIGURE_ARGS+=--with-iodbc=${LOCALBASE}
 LIB_DEPENDS+=	iodbc:${PORTSDIR}/databases/libiodbc
+IODBC_CPPFLAGS=
 PLIST_SUB+=	WITH_IODBC=""
 .else
-#CPPFLAGS+=	-I../../libsrc/odbcsdk/include
+IODBC_CPPFLAGS=	-I../../libsrc/odbcsdk/include
 PLIST_SUB+=	WITH_IODBC="@comment "
 .endif
 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"